org.encog.ml.data.specific

## Class CSVNeuralDataSet

- java.lang.Object
- - org.encog.ml.data.basic.BasicMLDataSet
  - - org.encog.ml.data.specific.CSVNeuralDataSet

- All Implemented Interfaces:
    Serializable, Iterable<MLDataPair>, MLDataSet

      public class CSVNeuralDataSet
      extends BasicMLDataSet

  An implementation of the NeuralDataSet interface designed to provide a CSV file to the neural network. This implementation uses the BasicNeuralData to hold the data being read. This class has no ability to write CSV files. The columns of the CSV file will specify both the input and ideal columns. Because this class loads the CSV file to memory, it is quite fast, once the data has been loaded.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.encog.ml.data.basic.BasicMLDataSet

      `BasicMLDataSet.BasicMLIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVNeuralDataSet(String theFilename, int theInputSize, int theIdealSize, boolean theHeaders)` Construct this data set using a comma as a delimiter.
    `CSVNeuralDataSet(String theFilename, int theInputSize, int theIdealSize, boolean theHeaders, CSVFormat theFormat, boolean significance)` Construct this data set using a comma as a delimiter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFilename()`
    `CSVFormat` | `getFormat()`

    - ### Methods inherited from class org.encog.ml.data.basic.BasicMLDataSet

      `add, add, add, clone, close, get, getData, getIdealSize, getInputSize, getRecord, getRecordCount, isSupervised, iterator, openAdditional, setData, size, toList`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVNeuralDataSet

          public CSVNeuralDataSet(String theFilename,
                          int theInputSize,
                          int theIdealSize,
                          boolean theHeaders)

      Construct this data set using a comma as a delimiter.
      Parameters:
        `theFilename` - The CSV filename to read.
        `theInputSize` - The number of columns that make up the input set. *
        `theIdealSize` - The number of columns that make up the ideal set.
        `theHeaders` - True if headers are present on the first line.

    - #### CSVNeuralDataSet

          public CSVNeuralDataSet(String theFilename,
                          int theInputSize,
                          int theIdealSize,
                          boolean theHeaders,
                          CSVFormat theFormat,
                          boolean significance)

      Construct this data set using a comma as a delimiter.
      Parameters:
        `theFilename` - The CSV filename to read.
        `theInputSize` - The number of columns that make up the input set. *
        `theIdealSize` - The number of columns that make up the ideal set.
        `theHeaders` - True if headers are present on the first line.
        `theFormat` - What CSV format to use.
        `significance` - True, if there is a significance column.

  - ### Method Detail

    - #### getFilename

          public String getFilename()

      Returns:
        the filename

    - #### getFormat

          public CSVFormat getFormat()

      Returns:
        the delimiter

Copyright © 2014. All Rights Reserved.